using System.Threading.Tasks;
using GxPress.Repository.Interface;
using GxPress.Repository.Interface.Organization;
using GxPress.Service.Interface.OrganizationUser;

namespace GxPress.Service.Implement.OrganizationUser
{
    public class OrganizationUserService : IOrganizationUserService
    {
        private readonly IOrganizationUserRepository organizationUserRepository;
        private readonly IUserRepository userRepository;
        public OrganizationUserService(IOrganizationUserRepository organizationUserRepository, IUserRepository userRepository)
        {
            this.organizationUserRepository = organizationUserRepository;
            this.userRepository = userRepository;
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public async Task<bool> InsertAsync(Entity.tede2.Organization.OrganizationUser model)
        {
            var user = new Entity.User();
            user.LoginAccountNumber = model.LoginAccountNumber;
            user.Name = model.UserName;
            user.Phone = model.Phone;
            user.OrganizationId = model.OrganizationId;
            var userId = await userRepository.InsertAsync(user);
            model.UserId = userId;
            return await organizationUserRepository.InsertAsync(model);
        }
    }
}